#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: echo
version: 0.1.3
id: echo-0.1.3-G7cuM0pWhoYJlNCMI5dtUe
key: echo-0.1.3-G7cuM0pWhoYJlNCMI5dtUe
license: BSD-3-Clause
copyright: (C) 2016-2017 Ryan Scott
maintainer: Ryan Scott <ryan.gl.scott@gmail.com>
author: Ryan Scott
stability: Provisional
homepage: https://github.com/RyanGlScott/echo
synopsis: A cross-platform, cross-console way to handle echoing terminal input
description:
    The @base@ library exposes the @hGetEcho@ and @hSetEcho@ functions
    for querying and setting echo status, but unfortunately, neither
    function works with MinTTY consoles on Windows. This is a serious
    issue, since @hGetEcho@ and @hSetEcho@ are often used to disable
    input echoing when a program prompts for a password, so many
    programs will reveal your password as you type it on MinTTY!
    .
    This library provides an alternative interface which works
    with both MinTTY and other consoles. An example is included
    which demonstrates how one might prompt for a password using
    this library. To build it, make sure to configure with the
    @-fexample@ flag.
category: System
abi: c8b0fd88e81f9512da0fabd7228decaa
exposed: True
exposed-modules:
    System.IO.Echo System.IO.Echo.Internal
import-dirs: /usr/lib/ghc-8.4.3/site-local/echo-0.1.3
library-dirs: /usr/lib/ghc-8.4.3/site-local/echo-0.1.3
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.3/echo-0.1.3
hs-libraries: HSecho-0.1.3-G7cuM0pWhoYJlNCMI5dtUe
depends:
    base-4.11.1.0 process-1.6.3.0
abi-depends: base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             process-1.6.3.0=abb0cfe39ff8617a198f540a7db854a9
haddock-interfaces: /usr/share/doc/haskell-echo/html/echo.haddock
haddock-html: /usr/share/doc/haskell-echo/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

